## lightdm 1.6.0

=== debian/changelog ===
lightdm (1.6.0-0ubuntu3.1) raring-security; urgency=low

  * SECURITY UPDATE: wrong permissions on .Xauthority file (LP: #1175023)
    - debian/patches/07_xauthority_perms.patch: use g_open instead of
      g_file_set_contents in src/xauthority.c.
    - debian/patches/08_xauthority_fix_perms.patch: fix incorrect
      permissions left behind by previous versions in src/xauthority.c.
    - CVE-2013-4331

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 12 Sep 2013 08:00:21 -0400

lightdm (1.6.0-0ubuntu3) raring; urgency=low

  * debian/guest-account: disable screen locking in a more reliable way.
    Rather than trying to write a key for another user, while setting up the
    guest user account, just set up an autostart desktop that will set it 
    during the login (lp: #951000)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 25 Jun 2013 22:30:04 +0200

lightdm (1.6.0-0ubuntu2.1) raring-proposed; urgency=low

  * lightdm.upstart: Add a start condition on plymouth-ready, and
    drop conditions already handled by plymouth-splash (LP: #982889).
  * control: Depend on the new plymouth version that provides plymouth-ready.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Tue, 23 Apr 2013 12:10:28 +0300

lightdm (1.6.0-0ubuntu2) raring; urgency=low

  * debian/patches/06_qt_no_keywords.patch:
    - Don't use Qt keywords like slots and signals in headers.  Instead,
      use Q_SLOTS and Q_SIGNALS.  This avoids breaking builds of projects
      that define QT_NO_KEYWORDS.

 -- Michael Terry <mterry@ubuntu.com>  Mon, 15 Apr 2013 11:31:15 -0400

lightdm (1.6.0-0ubuntu1) raring; urgency=low

  * New upstream bugfix release:
    - Allow VNC command to be specified in lightdm.conf
    - Register enums with QObject meta type system.
  * debian/watch:
    - Watch for .xz releases

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 15 Apr 2013 11:01:22 +1200

lightdm (1.5.3-0ubuntu1) raring; urgency=low

  * New upstream bugfix release:
    - Fix build with gobject-introspection 1.35.9
    - Fix authentication cancel regression caused in 1.5.2 (LP: #1163456)
  * debian/patches/fix-ftbfs-gir-scanner.patch:
    - Applied upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 03 Apr 2013 15:55:16 +1300

lightdm (1.5.2-0ubuntu2) raring; urgency=low

  * Pass --symbol-prefix via LightDM_1_gir_SCANNERFLAGS rather than
    LightDM_1_gir_CFLAGS, fixing build failure with
    gobject-introspection >= 1.35.9.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 02 Apr 2013 12:51:14 +0100

lightdm (1.5.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release:
    * Fix stale X server being left behind when using LockSession D-Bus API
      (LP: #1005813)
    * Adjust AppArmor profile to also work with logind
    * Don't use GIO to access X authority files - it uses GVFS which is
      unnecessary overhead/complexity
    * Handle over/underflows when reading from greeter
    * Improve warning message when XDMCP packet has length mismatch
    * Only report test command line if it fails
    * Add more regression tests

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 27 Mar 2013 14:44:44 +1300

lightdm (1.5.1-0ubuntu2) raring; urgency=low

  * debian/lightdm.upstart: Clear the virtual terminal after starting lightdm
    so startup messages are not displayed when switching users or when
    suspending (LP: #967229)

 -- Brian Murray <brian@ubuntu.com>  Thu, 21 Mar 2013 14:33:46 -0700

lightdm (1.5.1-0ubuntu1) raring; urgency=low

  * New upstream release:
    [ 1.5.0 ]
    - Add man page for lightdm-set-defaults (LP: #1044485)
    - Use xzip for distribution, don't distribute old metadata
    - Correctly check if display is active when session quits
    - Relicense liblightdm to LGPL-2/LGPL-3 so GPL-2 code can link against it
    - Selectively lock memory rather than calling mlockall for main daemon
    [ 1.5.1 ]
    - QLightDM: Add Qt5 version of the library: liblightdm-qt5-2 (LP: #1117355)
    - QLightDM: Add some missing role names in UsersModel
    - QLightDM: Add a backgroundPath role to UsersModel
    - QLightDM: Fix potential crash in QLightDM::UsersModel closedown.
    - Improve guest session apparmor
    - Run each test in its own /tmp dir so they can't interfere with eachother
    - Fix script hooks no longer working with latest glib (LP: #1128474)
    - Fix display clean up code
  * debian/control:
    - Use standards version 3.9.4
    - Drop bzr branch
    - Build-depend on qtbase5-dev
    - Add new Qt 5 packages
  * debian/patches/08_lp1059510.patch:
  * debian/patches/09_lp577919-fix-chromium-launch.patch:
  * debian/patches/10_selective_mlock.patch:
  * debian/patches/11_runtime_dir_access.patch:
     - Applied upstream
  * debian/source/format:
    - Use 3.0

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 08 Mar 2013 11:06:52 +1300

lightdm (1.4.0-0ubuntu5) raring; urgency=low

  * Add 11_runtime_dir_access.patch: Allow guest session to write
    /run/user/<username>/. (LP: #1131139)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 25 Feb 2013 14:44:18 +0100

lightdm (1.4.0-0ubuntu4) raring; urgency=low

  * Update pam configs to call pam_env last and use user_readenv=1
    explicitly, so that ~/.pam_environment can always be read even when
    home directories are encrypted with ecryptfs.  LP: #952185.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Feb 2013 12:57:29 -0800

lightdm (1.4.0-0ubuntu3) raring; urgency=low

  [ Michael Terry ]
  * debian/02_disable_tests.patch, debian/rules:
    - Drop patch, disable test suite during build by just overriding
      dh_auto_test.  This way we can still manually run tests
  * debian/control, debian/tests:
    - Add dep8 tests to run upstream test suite.  The suite only works once
      lightdm is installed into PREFIX.  So we must run via dep8.
      Disabled for now until the next upstream release.
  * debian/patches/05_add_xserver_core_option.patch:
    - Modify test X server to also accept -core

