## lightdm 1.6.3

=== debian/changelog ===
lightdm (1.6.3-1) unstable; urgency=low

  * New upstream release.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 09 Oct 2013 21:22:43 +0200

lightdm (1.6.2-1) unstable; urgency=low

  [ Yves-Alexis Perez ]
  * debian/po:
    - update pl.po, thanks Michał Kułach.                       closes: #711378
  * New upstream release.
    - fix wrong permissions on .Xauthority file and don't pollute homedir with
      temporary files.                                          closes: #721744
  * debian/watch updated to track 1.6 branch.
  * debian/control:
    - update standards version to 3.9.4.

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 11 Sep 2013 07:41:13 +0200

lightdm (1.6.0-3) unstable; urgency=low

  * debian/control:
    - drop valac-0.18 dependency for now since it's not available in sid
      anyway.                                                   closes: #707176

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 11 May 2013 23:48:35 +0200

lightdm (1.6.0-2) unstable; urgency=low

  [ Niv Sardi ]
  * Build with GIR

  [ Yves-Alexis Perez ]
  * Upload to unstable.
  * debian/rules:
    - hardening=+pie segfaults but +bindnow does work so keep it enabled.
  * debian/docs removed: stop shipping NEWS file since it's the same as
    changelog.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 05 May 2013 14:09:23 +0200

lightdm (1.6.0-1) experimental; urgency=low

  * New upstream release.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 17 Apr 2013 22:06:36 +0200

lightdm (1.5.3-1) experimental; urgency=low

  * New upstream unstable release.
  * debian/docs: ship NEWS file.                                closes: #689870
  * debian/watch:
    - support .xz tarballs.
  * debian/patches:
    - 01_set-default-path, 03_quit-plymouth, 04_dont-add-pkglibexecdir-path
      and 05_debianize-pam-files refreshed.
  * debian/control:
    - add build-dep on libgcrypt11-dev.
  * debian/rules:
    - disable pie hardening flags for now, it segfaults at startup.
    - fix gdmflexiserver removal
    - fix permissions on apparmor profiles.
  * debian/lightdm.install:
    - install apparmor profiles.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 07 Apr 2013 14:30:05 +0200

lightdm (1.4.0-1) experimental; urgency=low

  * New upstream release.
  * debian/patches:
    - 01_set-default-path, 02_default-config and
      04_dont-add-pkglibexecdir-path refreshed for new release.
    - 05_debianize-pam-files added, Debianize the lightdm and
      lightdm-autologin pam config files.
  * debian/control:
    - suggests upower.                                          closes: #679538
    - make lightdm depends on lightdm-gtk-greeter | lightdm-greeter, thanks
      Ralf Jung for the report.                                 closes: #684714
    - add build-dep on itstool.
  * debian/lightdm.install:
    - stop installing lightdm upstart script since it's broken. closes: #679409
    - install /u/s/help.* 
    - install PAM files
  * debian/rules:
    - stop installing own PAM files.
  * debian/*.pam: drop obsolete PAM files.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 07 Oct 2012 09:16:34 +0200
