=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed -Wl,-O1
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

override_dh_auto_configure:
	dh_auto_configure -- --with-greeter-user=lightdm --with-user-session=lightdm-xsession --enable-introspection=yes --disable-silent-rules

override_dh_installchangelogs:
	dh_installchangelogs -- NEWS

override_dh_installinit:
	dh_installinit --noscripts

override_dh_install:
	find debian/tmp -name '*.la' -delete
	find debian/tmp/usr/lib/ -name gdmflexiserver -delete
	find debian/tmp/etc/apparmor.d -type f -exec chmod 0644 '{}' \;
	dh_install --fail-missing -X etc/init/lightdm.conf

%:
	dh $@ --parallel

override_dh_auto_test:
