=== debian/watch ===
version=3
https://launchpad.net/lightdm/1.6 \
https://launchpad.net/lightdm/.*/lightdm-(\d\.\d\.\d)\.tar\.(?:gz|bz2|xz)
