## lightdm 1.8.2-0ubuntu1

=== debian/changelog ===
lightdm (1.8.2-0ubuntu1) saucy; urgency=low

  * New upstream release:
    - Fix crash when starting with existing X servers. This was introduced in
      rev 1651 (lightdm 1.7.0). (LP: #1231841)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 16 Oct 2013 15:46:40 +1300

lightdm (1.8.1-0ubuntu1) saucy; urgency=low

  * New upstream release:
    - Fix crash where Process objects are accessed after unref (LP: #1207935)

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 10 Oct 2013 20:34:13 +1300

lightdm (1.8.0-0ubuntu1) saucy; urgency=low

  * New upstream release:
    - Add regression test for corrupt X authority files.
  * debian/lightdm-session:
    - Handle xrdb, setxkbmap and xmodmap not being installed (LP: #1236317)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 09 Oct 2013 15:53:56 +1300

lightdm (1.7.18-0ubuntu1) saucy; urgency=low

  * New upstream release:
    - Set session environment variables for guest sessions (1.7 regression).
      (LP: #1214504)
    - Don't fail writing X authority if reading it had an error. (LP: #1234400)
    - Update environment variables that we pass to Mir.

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 07 Oct 2013 11:57:02 +1300

lightdm (1.7.17-0ubuntu1) saucy; urgency=low

  * New upstream release:
    - surfaceflinger: Set XDG_VTNR=0 if VTs are not available
    - Allow compiling of liblightdm-qt without liblightdm-gobject
    - Add missing documentation for xremote seat options.

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 25 Sep 2013 12:06:25 +1200

lightdm (1.7.16-0ubuntu1) saucy; urgency=low

  * New upstream release:
    - Fix ConsoleKit support broken in 1.7.5
    - Fix --test-mode (LP: #1226544) 
    - Add support for running Surfaceflinger sessions

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 19 Sep 2013 17:42:48 -0400

lightdm (1.7.15-0ubuntu1) saucy; urgency=low

  [ Jeremy Bicha ]
  * Have liblightdm-gobject-1.0 suggest not recommend lightdm
    (LP: #1222155)

  [ Michael Terry ]
  * Set XDG_VTNR=1 as a fallback if using SeatUnity without a functioning
    compositor or working VT switching, so that logind will recognize the VT
    as active.

 -- Michael Terry <mterry@ubuntu.com>  Wed, 11 Sep 2013 11:27:51 -0400

lightdm (1.7.14-0ubuntu1) saucy; urgency=low

  * New upstream release:
    - Correctly set permissions on Xauthority file.

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 11 Sep 2013 13:06:28 +1200

lightdm (1.7.13-0ubuntu1) saucy; urgency=low

  * New upstream release:
    - Correctly set $XDG_CURRENT_DESKTOP for non-autologin sessions
      (LP: #1221803)
    - Fix overallocation of array for strings from greeter.
    - Fix truncation writing card32 in XDMCP server.

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 09 Sep 2013 16:08:55 +1200

lightdm (1.7.12-0ubuntu1) saucy; urgency=low

  * New upstream release:
    - Add xdg-seat config setting
    - Notify Unity System Compositor of the session being authenticated

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 29 Aug 2013 12:59:39 +1200

lightdm (1.7.11-0ubuntu1) saucy; urgency=low

  * New upstream release:
    [ 1.7.11 ]
    - Fix crash when greeter quits due to read watch not being removed
    - Correctly setup Unity System Compositor environment
    - Improve log messages
    [ 1.7.10 ]
    - Fix session locking broken in 1.7.5
    - Load lightdm.conf after lightdm.conf.d/*.conf
    - Also support loading config from /usr/share
    - When switching sessions show a greeter if authentication required
    - Set $XDG_CURRENT_DESKTOP if specified in the xsession file (LP: #1212408)
    - Change logging prefixes to make it easier to troubleshoot multiseat setups
    - Bring Ubuntu packaging in-tree

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 26 Aug 2013 14:48:55 +1200

lightdm (1.7.9-0ubuntu1) saucy; urgency=low

  * New upstream release:
    - Correctly set XDG_VTNR for unity sessions that are not autologin.

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 30 Jul 2013 18:35:21 +0100

lightdm (1.7.8-0ubuntu1) saucy; urgency=low

  * New upstream release:
    - Add support for Mir sessions and greeters.
    - Set XDG_VTNR for unity sessions.
    - Fix desktop-session-start upstart signal not being emitted since 1.7.5.
    - Fix greeter log broken in 1.7.5.
  * debian/liblightdm-gobject-1-0.symbols:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 30 Jul 2013 15:27:58 +0100

lightdm (1.7.7-0ubuntu2) saucy; urgency=low

  * debian/lightdm.init:
    - Use correct path to daemon (LP: #1204713)

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 25 Jul 2013 14:25:48 +1200

lightdm (1.7.7-0ubuntu1) saucy; urgency=low

  * New upstream release:
    - Fix uninitialized pointer introduced in 1.7.3
    - Enable compile warnings and fix code generating warnings
  * debian/patches/50_ubuntu_fix_uninitialised_pointer.patch:
    - Applied upstream:

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 23 Jul 2013 11:23:47 +1200

lightdm (1.7.6-0ubuntu2) saucy; urgency=low

  * src/main.c: fix up an unitialised pointer in configuration directory
    handling.  (LP: #1203711)

 -- Andy Whitcroft <apw@canonical.com>  Mon, 22 Jul 2013 11:36:05 +0100

lightdm (1.7.6-0ubuntu1) saucy; urgency=low

  * New upstream release:
    [ 1.7.6 ]
    - Restore greeter hints that were regressed in 1.7.5.
    - Don't run greeters through session wrapper - regression in 1.7.5    
    [ 1.7.5 ]
    - Quit Plymouth correctly when using the unity seat type (LP: #1192051)
    - Release the VT when the system compositor fails to start
    - Load sessions and greeters from /usr/share/lightdm/sessions and
      /usr/share/lightdm/greeters. The existing directories are checked
      if the sessions are not in these directories.
    - Refactor the Display class so that it merges with the Seat class
    - Support running the greeter and session in different display servers

