=== debian/rules ===
--- 
+++ 
@@ -21,8 +21,8 @@
 	rm -r debian/tmp/usr/share/help/C/
 	# we do install pam through installpam and init through installinit
 	dh_install -X.a -X.la -Xpam.d -X'etc/init/lightdm.conf' --fail-missing
-	mv debian/lightdm/usr/lib/lightdm/lightdm/lightdm-set-defaults debian/lightdm/usr/lib/lightdm
 	chmod +x debian/lightdm/usr/lib/lightdm/lightdm-greeter-session
+	chmod +x debian/lightdm/usr/lib/lightdm/guest-session-auto.sh
 
 override_dh_installinit:
 	dh_installinit --no-start
